Changeset 32733

Show
Ignore:
Timestamp:
31.01.2019 18:37:26 (3 months ago)
Author:
ak19
Message:

For GS2, GLI won't work after PDFPlugin restructed into PDFv1 and PDFv2 plugins, since PDFv2Plugin fails unless PDFBoxConverter is installed. So now the GS2 installer renames PDFv2Plugin's extension (.pm to .tmp) to allow GLI to run.

Files:
1 modified

Legend:

Unmodified
Added
Removed
  • main/trunk/release-kits/kits/rk2/installer/build.xml

    r30131 r32733  
    209209        <chmod dir="${installDir}" includes="*.app/**/*" perm="755"/> 
    210210        <!-- /if --> 
     211         
     212        <echo message="Renaming PDFv2Plugin to make it unfunctional. To make it functional, install the PDFBoxConverter extension for Greenstone and then rename the PDFv2Plugin.tmp file to to PDFv2Plugin.pm"/> 
     213        <move file="${installDir}/perllib/plugins/PDFv2Plugin.pm" tofile="${installDir}/perllib/plugins/PDFv2Plugin.tmp"/> 
    211214    </target> 
    212215